curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/bill/monthly/list?category=gpu&startTime=1764547200&endTime=1767225599' \
--header 'Authorization: Bearer <API_KEY>'
{
"bills": [
{
"userId": "<string>",
"memberId": "<string>",
"startTime": "1764547200",
"endTime": "1767225599",
"productName": "<string>",
"productCategory": "gpu",
"ownerID": "<string>",
"tradeMode": "monthly",
"tradeType": "monthly_new_buy",
"basePrice": "1000000",
"billNum": "1",
"amount": "1000000",
"voucherAmount": "0",
"payAmount": "1000000",
"payAmountDisplay": 100,
"pricePrecision": 1,
"createTime": "1764547200",
"cycle": "2025-12",
"productId": "<string>",
"billingMethod": 2
}
]
}
Basic
Query Fixed-term Billing
GET
/
openapi
/
v1
/
billing
/
bill
/
monthly
/
list
curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/bill/monthly/list?category=gpu&startTime=1764547200&endTime=1767225599' \
--header 'Authorization: Bearer <API_KEY>'
{
"bills": [
{
"userId": "<string>",
"memberId": "<string>",
"startTime": "1764547200",
"endTime": "1767225599",
"productName": "<string>",
"productCategory": "gpu",
"ownerID": "<string>",
"tradeMode": "monthly",
"tradeType": "monthly_new_buy",
"basePrice": "1000000",
"billNum": "1",
"amount": "1000000",
"voucherAmount": "0",
"payAmount": "1000000",
"payAmountDisplay": 100,
"pricePrecision": 1,
"createTime": "1764547200",
"cycle": "2025-12",
"productId": "<string>",
"billingMethod": 2
}
]
}
Request Headers
string
vereist
Enum:
application/jsonstring
vereist
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
string
Product type. Common values:
summary(Summary bill)gpu(GPU instance)serverless(Serverless Endpoint)cloud_storage(Cloud storage)local_storage(Local storage)image(Image)bare_metal(Bare metal)
string
Product name. Supports fuzzy matching.
integer
Start time of the billing period to query, Unix timestamp in seconds (int64).
integer
End time of the billing period to query, Unix timestamp in seconds (int64).
string
Resource instance ID.
This endpoint does not support pagination. Keep each query range within 31 days. For longer ranges, split requests by calendar month or calendar week.
Response Parameters
object[]
vereist
Subscription / fixed-term bill list.
Verbergen properties
Verbergen properties
string
vereist
User account ID.
string
Member (sub-user) account ID.
string
vereist
Bill start time, Unix timestamp in seconds.
string
vereist
Bill end time, Unix timestamp in seconds.
string
vereist
Product name.
string
vereist
Product type.
string
vereist
Product ID.
string
vereist
Resource instance ID.
string
vereist
Billing mode.
monthly indicates subscription.string
vereist
Subscription transaction type. Common values:
monthly_new_buy(new purchase)monthly_re_buy(renewal)monthly_re_config(configuration change or scale-up)
int32
vereist
Billing method:
1: pay-as-you-go2: subscription3: refund4: Spot billing5: Batch API6: Saving Plan7: LLM multimodal billing8: bare metal test deduction
string
vereist
Unit price.
string
vereist
Usage. For
gpu, this usually means GPU card count Ć subscription duration. For storage products, this usually means storage capacity.string
vereist
Total amount, unit is 1/10000 USD.
string
vereist
Amount deducted by vouchers, unit is 1/10000 USD.
string
vereist
Cash payment amount, unit is 1/10000 USD.
float
vereist
Display value of cash payment amount, in USD.
int32
vereist
Price precision. Unit price (USD) = unit price / 10000 /
pricePrecision.string
vereist
Bill creation time, Unix timestamp in seconds.
string
vereist
Billing cycle, in
YYYY-MM format.int32
Storage usage duration, in days.
curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/bill/monthly/list?category=gpu&startTime=1764547200&endTime=1767225599' \
--header 'Authorization: Bearer <API_KEY>'
{
"bills": [
{
"userId": "<string>",
"memberId": "<string>",
"startTime": "1764547200",
"endTime": "1767225599",
"productName": "<string>",
"productCategory": "gpu",
"ownerID": "<string>",
"tradeMode": "monthly",
"tradeType": "monthly_new_buy",
"basePrice": "1000000",
"billNum": "1",
"amount": "1000000",
"voucherAmount": "0",
"payAmount": "1000000",
"payAmountDisplay": 100,
"pricePrecision": 1,
"createTime": "1764547200",
"cycle": "2025-12",
"productId": "<string>",
"billingMethod": 2
}
]
}
Laatst gewijzigd op 10 augustus 2026